org.apache.flume.sink.hdfs

## Interface SequenceFileSerializer

- All Known Implementing Classes:
    HDFSTextSerializer, HDFSWritableSerializer

      public interface SequenceFileSerializer

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `SequenceFileSerializer.Builder` Knows how to construct this output formatter. Note: Implementations MUST provide a public a no-arg constructor.
    `static class` | `SequenceFileSerializer.Record` A key-value pair making up a record in an HDFS SequenceFile

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<?>` | `getKeyClass()`
    `Class<?>` | `getValueClass()`
    `Iterable<SequenceFileSerializer.Record>` | `serialize(Event e)` Format the given event into zero, one or more SequenceFile records

- - ### Method Detail

    - #### getKeyClass

          Class<?> getKeyClass()

    - #### getValueClass

          Class<?> getValueClass()

    - #### serialize

          Iterable<SequenceFileSerializer.Record> serialize(Event e)

      Format the given event into zero, one or more SequenceFile records
      Parameters:
        `e` - event
      Returns:
        a list of records corresponding to the given event

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.